<div class="wrapper">
  <div class="box box-1-1">
    <img *ngIf="x === 1 && y === 1" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-2-1">
    <img *ngIf="x === 2 && y === 1" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-3-1">
    <img *ngIf="x === 3 && y === 1" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-4-1">
    <img *ngIf="x === 4 && y === 1" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-5-1">
    <img *ngIf="x === 5 && y === 1" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-1-2">
    <img *ngIf="x === 1 && y === 2" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-2-2">
    <img *ngIf="x === 2 && y === 2" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-3-2">
    <img *ngIf="x === 3 && y === 2" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-4-2">
    <img *ngIf="x === 4 && y === 2" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-5-2">
    <img *ngIf="x === 5 && y === 2" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-1-3">
    <img *ngIf="x === 1 && y === 3" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-2-3">
    <img *ngIf="x === 2 && y === 3" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-3-3">
    <img *ngIf="x === 3 && y === 3" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-4-3">
    <img *ngIf="x === 4 && y === 3" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-5-3">
    <img *ngIf="x === 5 && y === 3" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-1-4">
    <img *ngIf="x === 1 && y === 4" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-2-4">
    <img *ngIf="x === 2 && y === 4" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-3-4">
    <img *ngIf="x === 3 && y === 4" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-4-4">
    <img *ngIf="x === 4 && y === 4" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-5-4">
    <img *ngIf="x === 5 && y === 4" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-1-5">
    <img *ngIf="x === 1 && y === 5" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-2-5">
    <img *ngIf="x === 2 && y === 5" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-3-5">
    <img *ngIf="x === 3 && y === 5" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-4-5">
    <img *ngIf="x === 4 && y === 5" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
  <div class="box box-5-5">
    <img *ngIf="x === 5 && y === 5" [ngClass]="robotOrientation" src="https://upload.wikimedia.org/wikipedia/commons/0/09/IRobot-Roomba-Top-view-01.jpg" />
  </div>
</div>
<br />
<div>
  <p>Controls:</p>
  <p>I - up</p>
  <p>J - left</p>
  <p>K - down</p>
  <p>L - right</p>
  <p>S - move one grid</p>
</div>